Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Class ImgButtonTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.toolbar.ImgButtonTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ImgButtonTag
extends javax.servlet.jsp.tagext.TagSupport

Image Button is an image (img) with a hyperlink (a) and a target window name

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImgButtonTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getHref()` Returns the href.
`java.lang.String` | `getImg()` Returns the img.
`java.lang.String` | `getTarget()` Returns the target.
`java.lang.String` | `getTooltip()`
`void` | `setHref(java.lang.String href)` Sets the href.
`void` | `setImg(java.lang.String img)` Sets the img.
`void` | `setRole(java.lang.String string)`
`void` | `setTarget(java.lang.String target)` Sets the target.
`void` | `setTooltip(java.lang.String string)`
`void` | `setVisibleRef(java.lang.String string)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImgButtonTag

    public ImgButtonTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getHref

    public java.lang.String getHref()

  Returns the href.

  Returns:
    String

### getTarget

    public java.lang.String getTarget()

  Returns the target.

  Returns:
    String

### setHref

    public void setHref(java.lang.String href)

  Sets the href.

  Parameters:
    `href` - The href to set

### setTarget

    public void setTarget(java.lang.String target)

  Sets the target.

  Parameters:
    `target` - The target to set

### getImg

    public java.lang.String getImg()

  Returns the img.

  Returns:
    String

### setImg

    public void setImg(java.lang.String img)

  Sets the img.

  Parameters:
    `img` - The img to set

### getTooltip

    public java.lang.String getTooltip()

  Returns:

### setTooltip

    public void setTooltip(java.lang.String string)

  Parameters:
    `string` -

### setVisibleRef

    public void setVisibleRef(java.lang.String string)

  Parameters:
    `string` -

### setRole

    public void setRole(java.lang.String string)

  Parameters:
    `string` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD